-module(bounded_list).

-export([append/3]).

append([],V,N) when erlang:is_integer(N), N > 0 -> [V];

append(L,V,N) when erlang:is_list(L), erlang:is_integer(N), N > 0 ->
  Len = lists:flatlength(L),
  case Len < N of
    true -> lists:flatten(lists:append(L,[V]));
    false -> lists:nthtail(Len+1-N,lists:flatten(lists:append(L,[V])))
  end.
