%% Sample: Accumulate a sum incrementally
-module (sb_aggregate_fn_sum).

%% Supports aggregate function behaviour
-behaviour(sb_aggregate_fn).

-export([init/1,accumulate/2,emit/1]).


%% Called when an Aggregate Window opens
init(_State) -> 0.
%% Called when a tuple hits a window
accumulate(State,{A}) -> State+A.
%% Called on window close or emmission policy fires
emit(State) -> State.
