package com.streambase.contrib.erjang.impl;

import erjang.RPC;

public class ErjangSession extends Thread {
	public ErjangSession() {
		start();
		RPC.wait_for_erjang_started(60*1000L);
	}
	
	public ErjangSession(ErjangSessionDetails sessionDetails) {
		StringBuilder pa = new StringBuilder();
		for(String pas : sessionDetails.behaviourCodePath) {
			pa.append(pas);
			pa.append(' ');
		}
		String[] ARGS = {
				"-progname", "ej",
				"-home", System.getProperty("user.home"),
				"-root", sessionDetails.erlangOtpRoot,
				"-noshell",
				"-noinput",
				"-pa", pa.toString(),
				"+A", "2",
				"+S", "1",
				"+e", sessionDetails.ertsVersion,
				"-s", "rpc", "erjang_started"
			};
		
		try {
			erjang.Main.main(ARGS);
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
		}
	}

	public void run() {			
		String[] ARGS = {
				"-progname", "ej",
				"-home", System.getProperty("user.home"),
				"-root", System.getProperty("erjang.otp.root"), ///home/streambase/otp-R13B04/",
				"-noshell",
				"-noinput",
				"-pa", System.getProperty("sb.erjang.padirs"), // "/home/streambase/wo/erjang/SbErjang/erlang-src",
				"+A", "2",
				"+S", "1",
//				"+e", "5.7.5",
				"-s", "rpc", "erjang_started"
			};
		
		try {
			erjang.Main.main(ARGS);
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
		}
	}

}